<div #template>
    <ng-content></ng-content>
</div>
<div *ngIf="pages.length" class="pull-right">
  <div class="showing pull-left" *ngIf="inst?.id&&inst?.id?.slice">
    <span>Showing from {{ state[inst['id']]['start']+1 }} to {{ state[inst['id']]['end']>state[inst['id']]['size'] ? state[inst['id']]['size'] : state[inst['id']]['end']  }}  of total {{inst?.totalItems}}</span>
  </div>
    <ul  *ngIf="!hasTemplate && !(autoHide && pages.length <= 1)" class="pagination pull-right">
    <li  *ngIf="getCurrent()>2">
      <a (click)="setCurrent(1)"><i class="fa fa-step-backward"></i></a>
    </li>

    <li [class.disabled]="isFirstPage()" *ngIf="directionLinks">
      <a  *ngIf="1 < getCurrent()" (click)="previous()"><i class="fa fa-angle-double-left"></i></a>
    </li>
    <li [class.active]="getCurrent() === page.value" *ngFor="let page of pages">
      <a  (click)="setCurrent(page.value)" *ngIf="getCurrent() !== page.value">{{ page.label}}</a>
      <a *ngIf="getCurrent() === page.value">{{ page.label}}</a>
    </li>
    <li class="pagination-next" [class.disabled]="isLastPage()" *ngIf="directionLinks">
      <a *ngIf="!isLastPage()" (click)="next()"><i class="fa fa-angle-double-right"></i></a>
    </li>

    <li *ngIf="(getCurrent()+2)< pages.length">
      <a (click)="setCurrent(getLastPage())"><i class="fa fa-step-forward"></i> </a>
    </li>

  </ul>
</div>
